moyix / fauxpilot

FauxPilot - an open-source GitHub Copilot server

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Small issues

kiwih opened this issue · comments

Thanks for the great repo! Just a couple of issues:

  • the openAI root url should not include the 'v1'
  • docker-compose could really be renamed to docker compose in the README as docker-compose is now deprecated
  • Issue with config files for setups with >2 GPUs.

The openAI root url should not include the 'v1'

This turns out to be an issue if you are using an older version of the OpenAI Python library -- with the most recent one, the API root URL should contain the v1.

docker-compose could really be renamed to docker compose in the README as docker-compose is now deprecated

Good point. Fixed.

Issue with config files for setups with >2 GPUs.

Working on this :) I added a config file generator to the repo in the converter directory, I just need to integrate it into setup.sh now.

Looks good, thanks!